View Issue Details

IDProjectCategoryLast Update
0019457AI War 2[All Projects] Crash/ExceptionMay 8, 2018 11:34 pm
ReporterValerothAssigned Tokeith.lamothe 
Severitycrash 
Status resolvedResolutionfixed 
Product Version0.708 
Fixed in Version0.745 A Pivot And A Leap Forward 
Summary0019457: Can't start a new game
DescriptionFor the last few builds I've been unable to start a game. Every time I hit start new game, I get an error. If I try to ignore it (or press any other button) it boots me back to the main menu. Actual crash info in attached log.
TagsNo tags attached.

Relationships

related to 0019445 resolvedkeith.lamothe Exception on startup 

Activities

Valeroth

Feb 25, 2018 5:55 pm

reporter  

ArcenDebugLog.txt (65,876 bytes)
4/3/2017 7:18:56 PM	World Created, Launching Server
4/3/2017 7:18:56 PM	Successfully opened host socket
4/3/2017 7:25:55 PM	Shutting Down Socket
4/3/2017 7:25:55 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/1/2017 1:57:04 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
11/1/2017 1:57:04 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
11/1/2017 1:57:09 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
11/1/2017 1:58:58 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
11/1/2017 1:58:58 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
11/1/2017 1:59:01 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
11/1/2017 2:00:06 PM	World Created, Launching Server
11/1/2017 2:00:07 PM	Successfully opened host socket
11/1/2017 2:00:30 PM	Welcome to the D18 Swirl generator

11/1/2017 2:00:34 PM	Welcome to the D18 Density Map generator

11/1/2017 2:00:34 PM	size of image: 600*600
11/1/2017 2:00:34 PM	17 low connectivity nodes, attempting outbound linkages...
11/1/2017 2:00:34 PM	Galaxy complete! Galaxy has 120 planets.
2/3/2018 3:30:47 PM	Current directory used: E:/Games/Steam/steamapps/common/AI War 2/
2/3/2018 3:30:47 PM	Process Count = 0 so PlayerDataDirectory used: E:/Games/Steam/steamapps/common/AI War 2/PlayerData/
2/3/2018 3:30:51 PM	Reset maptype
2/3/2018 3:31:02 PM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Nebula
2/3/2018 3:31:02 PM	Game Version: 0.704
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 7 Service Pack 1 (6.1.7601) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1080
graphicsDeviceID: 7040
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 8084
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7 CPU 970 @ 3.20GHz
processorCount: 12
processorFrequency: 3204
systemMemorySize: 24567
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/3/2018 3:31:02 PM	No resolution change was required.
2/3/2018 3:31:02 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/3/2018 3:31:02 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/3/2018 3:31:03 PM	MusicVolume set to -8.100327 dB (60% Volume On Interface)
2/3/2018 3:31:16 PM	World Created, Launching Server
2/3/2018 3:31:16 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:16 PM	Successfully opened host socket
2/3/2018 3:31:21 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/3/2018 3:31:21 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 804
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:21 PM	World Created, Launching Server
2/3/2018 3:31:21 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:21 PM	Successfully opened host socket
2/3/2018 3:31:27 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/3/2018 3:31:27 PM	World Created, Launching Server
2/3/2018 3:31:27 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 804
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:27 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:27 PM	Successfully opened host socket
2/3/2018 3:31:42 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/3/2018 3:31:42 PM	World Created, Launching Server
2/3/2018 3:31:42 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 804
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:42 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:31:42 PM	Successfully opened host socket
2/3/2018 3:32:28 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/3/2018 3:32:28 PM	World Created, Launching Server
2/3/2018 3:32:28 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 804
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:32:28 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:32:28 PM	Successfully opened host socket
2/3/2018 3:32:30 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/3/2018 3:32:30 PM	World Created, Launching Server
2/3/2018 3:32:30 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 804
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:32:30 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:32:30 PM	Successfully opened host socket
2/3/2018 3:32:32 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/3/2018 3:32:44 PM	Current directory used: E:/Games/Steam/steamapps/common/AI War 2/
2/3/2018 3:32:44 PM	Process Count = 0 so PlayerDataDirectory used: E:/Games/Steam/steamapps/common/AI War 2/PlayerData/
2/3/2018 3:32:48 PM	Reset maptype
2/3/2018 3:32:52 PM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Nebula
2/3/2018 3:32:52 PM	Game Version: 0.704
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 7 Service Pack 1 (6.1.7601) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1080
graphicsDeviceID: 7040
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 8084
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7 CPU 970 @ 3.20GHz
processorCount: 12
processorFrequency: 3204
systemMemorySize: 24567
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/3/2018 3:32:52 PM	Resolution changed to fullscreen 1080x1920
2/3/2018 3:32:52 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/3/2018 3:32:52 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/3/2018 3:32:52 PM	MusicVolume set to -8.100327 dB (60% Volume On Interface)
2/3/2018 3:33:07 PM	World Created, Launching Server
2/3/2018 3:33:07 PM
Object reference not set to an instance of an object
===PSUEDO INFO===
Method 
Line 0
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	804	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:804 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 266
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 806
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 726

2/3/2018 3:33:07 PM	Successfully opened host socket
2/3/2018 3:33:12 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:49:29 PM	Current directory used: E:/Games/Steam/steamapps/common/AI War 2/
2/25/2018 5:49:29 PM	Process Count = 0 so PlayerDataDirectory used: E:/Games/Steam/steamapps/common/AI War 2/PlayerData/
2/25/2018 5:49:43 PM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Nebula
2/25/2018 5:49:44 PM	Game Version: 0.708
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 7 Service Pack 1 (6.1.7601) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1080
graphicsDeviceID: 7040
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 8084
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7 CPU 970 @ 3.20GHz
processorCount: 12
processorFrequency: 3204
systemMemorySize: 24567
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/25/2018 5:49:44 PM	Resolution changed to fullscreen 1080x1920
2/25/2018 5:49:44 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/25/2018 5:49:44 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/25/2018 5:49:44 PM	MusicVolume set to -8.100327 dB (60% Volume On Interface)
2/25/2018 5:50:04 PM	World Created, Launching Server
2/25/2018 5:50:04 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:04 PM	Successfully opened host socket
2/25/2018 5:50:13 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:50:13 PM	World Created, Launching Server
2/25/2018 5:50:13 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:13 PM	Successfully opened host socket
2/25/2018 5:50:21 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:50:21 PM	World Created, Launching Server
2/25/2018 5:50:21 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 819
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:21 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:21 PM	Successfully opened host socket
2/25/2018 5:50:28 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:50:28 PM	World Created, Launching Server
2/25/2018 5:50:28 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 819
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:28 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:28 PM	Successfully opened host socket
2/25/2018 5:50:30 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:50:30 PM	World Created, Launching Server
2/25/2018 5:50:30 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 819
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:30 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:30 PM	Successfully opened host socket
2/25/2018 5:50:35 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:50:35 PM	World Created, Launching Server
2/25/2018 5:50:35 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 819
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:35 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:50:35 PM	Successfully opened host socket
2/25/2018 5:51:23 PM	No resolution change was required.
2/25/2018 5:51:23 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/25/2018 5:51:23 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/25/2018 5:51:25 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:51:25 PM	World Created, Launching Server
2/25/2018 5:51:25 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 819
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:51:25 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	418	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:51:25 PM	Successfully opened host socket
2/25/2018 5:51:40 PM	No resolution change was required.
2/25/2018 5:51:40 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/25/2018 5:51:40 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/25/2018 5:51:56 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/25/2018 5:51:56 PM	World Created, Launching Server
2/25/2018 5:51:56 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 819
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:51:56 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<Helper_AssignHumanHomeworld>m__1	1	24	1052	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\Mapping\Planet.cs	DoForPlanetsWithinXHops_NoFilters	69	205	630	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	Helper_AssignHumanHomeworld	59	194	1050	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	495	1133	971	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1396	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	819	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.<Helper_AssignHumanHomeworld>m__1 (Arcen.AIW2.Core.Planet otherPlanet, Int32 distance) [0x00001] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:1052 
  at Arcen.AIW2.Core.Planet.DoForPlanetsWithinXHops_NoFilters (Int32 NumberOfHops, Arcen.AIW2.Core.DistanceBasedProcessorDelegate Processor) [0x00045] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\Mapping\Planet.cs:630 
  at Arcen.AIW2.Core.World_AIW2.Helper_AssignHumanHomeworld (Arcen.AIW2.Core.Galaxy galaxy, Int32 planetIndex) [0x0003b] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:1050 
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x001ef] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:971 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:819 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 821
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 741

2/25/2018 5:51:56 PM	Successfully opened host socket
ArcenDebugLog.txt (65,876 bytes)

BadgerBadger

Feb 25, 2018 6:06 pm

manager   ~0047068

This is the same problem as 19445

BadgerBadger

Feb 25, 2018 11:58 pm

manager   ~0047069

While we work on an actual fix for this problem, there's a workaround explained here on the forums:
https://forums.arcengames.com/ai-war-ii/ai-war-2-v0-702-released!-'activating-mk1-grinding-machine'/msg218008/#msg218008

Dune

Feb 26, 2018 4:01 pm

administrator   ~0047090

Added information of 19457 to the Trello card for 19445.

x4000Bughunter

Mar 14, 2018 2:21 pm

administrator   ~0047167

Has this been resolved?

BadgerBadger

Mar 14, 2018 2:36 pm

manager   ~0047170

A workaround is known, but there is no fix in the code. However, if you perform the workaround the problem goes away and does not come back

keith.lamothe

Mar 14, 2018 4:45 pm

administrator   ~0047176

For 0.712:

* Now when the game is loading your profile file or settings file, and it's looking up an xml-entry referenced by that file, and it can't find it, it will use the default for that type of xml-entry. It will still generate warning (which may or may not be visible depending on the situation) but not a full-screen error.
** Unless there is no default defined either, of course; in that case it will still fail in an ugly fashion because something's pretty borked.

This should help in your case because the map type will default to something else, if your previously used map type has somehow been completely removed from the game (those InternalName keys are supposed to be kept physically present even when deprecated, but this is not always done).

Thanks :)

Valeroth

Mar 18, 2018 12:19 pm

reporter   ~0047240

This issue is not fixed. When trying to start a new game. I still get an error with the choices, of Open Log, Ignore, or Ignore blah blah.

Any of these options leave me back on the start screen.

BadgerBadger

Mar 18, 2018 12:20 pm

manager   ~0047241

Last edited: Mar 18, 2018 12:21 pm

View 3 revisions

What error are you seeing? The same one? Keep in mind that if it's the same error then there's a really easy workaround....

Valeroth

Mar 18, 2018 12:44 pm

reporter   ~0047242

Attached are the error screens I'm seeing. The first one I get when I launch the game (it is new with this build). The second one is what I get when I try to start a new game (it has been present for a while... I've never actually been able to get a game going).

Error Log 1.jpg (218,837 bytes)
Error Log 1.jpg (218,837 bytes)
Error Log 2.jpg (280,159 bytes)

BadgerBadger

Mar 18, 2018 2:52 pm

manager   ~0047243

For Valeroth: Yeah, looks like Chris' fix didn't actually resolve the problem.
For now, here's the workaround. Open up the files with the actual game and go to the PlayerData folder. For me this is /home/Badger/AIWar2/PlayerData. Open the file called newsettings.dat. There will be a line toward the bottom that looks like
        LastSetup_MapType="Nebula"

Change the word in quotes to be Clusters, like
        LastSetup_MapType="Clusters"

Now restart the game and this problem should go away and never come back.


For Chris, if I put an invalid MapType in I get the following error.
3/18/2018 2:48:18 PM World Created, Launching Server
3/18/2018 2:48:18 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
    CreateGalaxies 0 409 0 0
    WorkThreadOnly_GenerateNewGame 0 1763 0 0
    WorkThreadOnly_StartNewGame 0 60 0 0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <filename unknown>:0
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x00000] in <filename unknown>:0
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x00000] in <filename unknown>:0

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity)
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity)
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame()
   at Arcen.AIW2.Core.Engine_AIW2+<>c__DisplayClass48_0.<StartWorkThread>b__0(System.Object <p0>)

3/18/2018 2:48:18 PM Successfully opened host socket
3/18/2018 2:48:24 PM PLAYER DISCONNECTED 0.0.0.0=>0
3/18/2018 2:48:24 PM World Created, Launching Server
3/18/2018 2:48:24 PM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context)
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame()
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame()
   at Arcen.AIW2.Core.Engine_AIW2+<>c__DisplayClass48_0.<StartWorkThread>b__0(System.Object <p0>)

3/18/2018 2:48:24 PM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
    CreateGalaxies 0 409 0 0
    WorkThreadOnly_GenerateNewGame 0 1763 0 0
    WorkThreadOnly_StartNewGame 0 60 0 0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <filename unknown>:0
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x00000] in <filename unknown>:0
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x00000] in <filename unknown>:0

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity)
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity)
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame()
   at Arcen.AIW2.Core.Engine_AIW2+<>c__DisplayClass48_0.<StartWorkThread>b__0(System.Object <p0>)

x4000Bughunter

Mar 19, 2018 9:31 am

administrator   ~0047244

Valeroth -- sorry about that. Could you upload your settings file from the PlayerData folder inside your AI War 2 install folder? Keith can probably fix it from that, since that will let him duplicate the issue. (This was a Keith area, not a me area).

BadgerBadger

Mar 19, 2018 9:33 am

manager   ~0047245

Chris, it's really easy to reproduce. Just change LastSetup_MapType="Clusters" to LastSetup_MapType="AnyStringThatIsNotAMapType"

x4000Bughunter

Mar 19, 2018 9:38 am

administrator   ~0047246

Got it. Well, I will leave that to Keith because it's a pretty central thing that he created and I don't want to stomp toes there. I'll be buried in the GUI if you need me. ;)

BadgerBadger

May 8, 2018 11:34 pm

manager   ~0047547

Fixed by Badger in .744

Issue History

Date Modified Username Field Change
Feb 25, 2018 5:55 pm Valeroth New Issue
Feb 25, 2018 5:55 pm Valeroth File Added: ArcenDebugLog.txt
Feb 25, 2018 6:06 pm BadgerBadger Relationship added related to 0019445
Feb 25, 2018 6:06 pm BadgerBadger Note Added: 0047068
Feb 25, 2018 6:06 pm Dune Assigned To => x4000Bughunter
Feb 25, 2018 6:06 pm Dune Status new => assigned
Feb 25, 2018 11:58 pm BadgerBadger Note Added: 0047069
Feb 26, 2018 2:24 pm x4000Bughunter Assigned To x4000Bughunter => keith.lamothe
Feb 26, 2018 4:01 pm Dune Note Added: 0047090
Mar 14, 2018 2:21 pm x4000Bughunter Status assigned => feedback
Mar 14, 2018 2:21 pm x4000Bughunter Note Added: 0047167
Mar 14, 2018 2:36 pm BadgerBadger Note Added: 0047170
Mar 14, 2018 4:45 pm keith.lamothe Status feedback => resolved
Mar 14, 2018 4:45 pm keith.lamothe Resolution open => fixed
Mar 14, 2018 4:45 pm keith.lamothe Fixed in Version => 0.712
Mar 14, 2018 4:45 pm keith.lamothe Note Added: 0047176
Mar 18, 2018 12:19 pm Valeroth Note Added: 0047240
Mar 18, 2018 12:20 pm BadgerBadger Note Added: 0047241
Mar 18, 2018 12:20 pm BadgerBadger Note Edited: 0047241 View Revisions
Mar 18, 2018 12:21 pm BadgerBadger Note Edited: 0047241 View Revisions
Mar 18, 2018 12:44 pm Valeroth File Added: Error Log 1.jpg
Mar 18, 2018 12:44 pm Valeroth File Added: Error Log 2.jpg
Mar 18, 2018 12:44 pm Valeroth Note Added: 0047242
Mar 18, 2018 2:52 pm BadgerBadger Note Added: 0047243
Mar 19, 2018 9:30 am x4000Bughunter Status resolved => confirmed
Mar 19, 2018 9:31 am x4000Bughunter Note Added: 0047244
Mar 19, 2018 9:33 am BadgerBadger Note Added: 0047245
Mar 19, 2018 9:38 am x4000Bughunter Note Added: 0047246
Mar 19, 2018 9:38 am x4000Bughunter Status confirmed => assigned
May 8, 2018 11:34 pm BadgerBadger Status assigned => resolved
May 8, 2018 11:34 pm BadgerBadger Fixed in Version 0.712 => 0.745 A Pivot And A Leap Forward
May 8, 2018 11:34 pm BadgerBadger Note Added: 0047547